{******************************************************************************}
{          This unit is part of the Delphifreeware component package.          }
{                                                                              }
{ Filename           : DFWPropertyReg.pas                                      }
{ Short description  : DFW Property Editors registration unit                  }
{ Internet           : http://www.delphifreeware.de                            }
{ Delphi versions    : all delphi versions                                     }
{                                                                              }
{******************************************************************************}
{                                                                              }
{  DFW and Delphifreeware   2000, Carsten Butzek E-Mail: cabutzek@muenster.de }
{                                                                              }
{  Delphifreeware or DFW is a free Delphi component collection.                }
{  If you wrote a component which should be integrated into the DFW please     }
{  contact me.                                                                 }
{                                                                              }
{  Updates of the DFW package are available at the DFW homepage:               }
{  http://www.delphifreeware.de                                                }
{                                                                              }
{******************************************************************************}
{ License agreement                                                            }
{                                                                              }
{  This unit is freeware.                                                      }
{                                                                              }
{  Please do not release modified versions of this source code.                }
{  If you've made any changes that you think should have been there,           }
{  feel free to submit them to me at cabutzek@muenster.de                      }
{                                                                              }
{                                                                              }
{  This software is provided 'as-is', without any express or                   }
{  implied warranty. In no event will the author be held                       }
{  liable for any damages arising from the use of this                         }
{  software.                                                                   }
{  Permission is granted to anyone to use this software for                    }
{  any purpose, including commercial applications, and to                      }
{  alter it and redistribute it freely, subject to the                         }
{  following restrictions:                                                     }
{  1. The origin of this software must not be misrepresented,                  }
{     you must not claim that you wrote the original software.                 }
{     If you use this software in a product, an acknowledgment                 }
{     in the product documentation would be appreciated but is                 }
{     not required.                                                            }
{  2. Altered source versions must be plainly marked as such,                  }
{     and must not be misrepresented as being the original                     }
{     software.                                                                }
{  3. This notice may not be removed or altered from any                       }
{     source distribution.                                                     }
{  4. You must credit the DFW team in  your software including a               }
{     link to the DFW homepage at http://www.delphifreeware.de.                }
{                                                                              }
{ End of license agreement                                                     }
{                                                                              }
{******************************************************************************}

{$I DFW.INC}

unit DFWPropertyReg;

interface

procedure Register;

implementation

uses DsgnIntf, DFWSoundPropertyEditor, DFWSound;

procedure Register;
begin
  RegisterPropertyEditor(TypeInfo(TDFWSoundInfo), nil, '', TDFWSoundProperty);
{$IFDEF D5}
  RegisterPropertyInCategory(TDFWSoundCategory, nil, 'MouseDownSound');
  RegisterPropertyInCategory(TDFWSoundCategory, nil, 'MouseUpSound');
  RegisterPropertyInCategory(TDFWSoundCategory, nil, 'MouseClickSound');
  RegisterPropertyInCategory(TDFWInternetCategory, nil, 'GotoURLOnClick');
  RegisterPropertyInCategory(TDFWInternetCategory, nil, 'URL');
{$ENDIF}
end;

end.
