{******************************************************************************}
{          This unit is part of the Delphifreeware component package.          }
{                                                                              }
{ Filename           : DFWVCLREG.pas                                           }
{ Short description  : DFW package registration unit                           }
{ Internet           : http://www.delphifreeware.de                            }
{ Delphi versions    : all delphi versions                                     }
{                                                                              }
{******************************************************************************}
{                                                                              }
{  DFW and Delphifreeware   2000, Carsten Butzek E-Mail: cabutzek@muenster.de }
{                                                                              }
{  Delphifreeware or DFW is a free Delphi component collection.                }
{  If you wrote a component which should be integrated into the DFW please     }
{  contact me.                                                                 }
{                                                                              }
{  Updates of the DFW package are available at the DFW homepage:               }
{  http://www.delphifreeware.de                                                }
{                                                                              }
{******************************************************************************}
{ License agreement                                                            }
{                                                                              }
{  This unit is freeware.                                                      }
{                                                                              }
{  Please do not release modified versions of this source code.                }
{  If you've made any changes that you think should have been there,           }
{  feel free to submit them to me at cabutzek@muenster.de                      }
{                                                                              }
{                                                                              }
{  This software is provided 'as-is', without any express or                   }
{  implied warranty. In no event will the author be held                       }
{  liable for any damages arising from the use of this                         }
{  software.                                                                   }
{  Permission is granted to anyone to use this software for                    }
{  any purpose, including commercial applications, and to                      }
{  alter it and redistribute it freely, subject to the                         }
{  following restrictions:                                                     }
{  1. The origin of this software must not be misrepresented,                  }
{     you must not claim that you wrote the original software.                 }
{     If you use this software in a product, an acknowledgment                 }
{     in the product documentation would be appreciated but is                 }
{     not required.                                                            }
{  2. Altered source versions must be plainly marked as such,                  }
{     and must not be misrepresented as being the original                     }
{     software.                                                                }
{  3. This notice may not be removed or altered from any                       }
{     source distribution.                                                     }
{  4. You must credit the DFW team in  your software including a               }
{     link to the DFW homepage at http://www.delphifreeware.de.                }
{                                                                              }
{ End of license agreement                                                     }
{                                                                              }
{******************************************************************************}

{$I DFW.INC}

unit DFWVCLREG;

interface

procedure Register;

implementation

uses Classes, DsgnIntf, DFWAnalogMeter, DFWFoldPanel, DFWMRUfiles, DFWTextAnim,
     DFWPreview {$IFDEF D4} ,DFWPages, dfwDockManPro {$ENDIF}, DFWPhantom
     {$IFDEF D3}, DFWPicShow, DFWCheckCombo, DFWSelectDirView, DFWSplites,
     DFWSmoothShow, DFWFindFile, DFWSTFonts {$ENDIF}, DFWGraph3D,
     DFWButtonComps, DFWSTColors, DFWSTDrives, DFWRarBar, DFWRARArc, DFWButton,
     DFWCompEditor, DFWMemoes, DFWEdites, DFWBeveles, DFWAboutDialog,
     DFWDriveCombo;

{$R DFWVCL.dcr}

procedure Register;
const
  ControlsPage = 'DFW';
begin
  RegisterComponents(ControlsPage, [TDFWTextAnimator]);
  RegisterComponentEditor(TDFWTextAnimator, TDFWAboutComponentEditor);

  RegisterComponents(ControlsPage, [TDFWMRUFiles]);
  RegisterComponentEditor(TDFWMRUFiles, TDFWAboutComponentEditor);

  RegisterComponents(ControlsPage, [TDFWPrintPreview, TDFWPaperPreview]);
  RegisterComponentEditor(TDFWPrintPreview, TDFWAboutComponentEditor);
  RegisterComponentEditor(TDFWPaperPreview, TDFWAboutComponentEditor);

  RegisterComponents(ControlsPage, [TDFWFoldPanel]);
  RegisterComponentEditor(TDFWFoldPanel, TDFWAboutComponentEditor);

  RegisterComponents(ControlsPage, [TDFWAnalogMeter]);
  RegisterComponentEditor(TDFWAnalogMeter, TDFWAboutComponentEditor);

  RegisterComponents(ControlsPage, [TDFWGraph3D]);
  RegisterComponentEditor(TDFWGraph3D, TDFWAboutComponentEditor);

  RegisterComponents(ControlsPage, [TDFWPhantom]);
  RegisterComponentEditor(TDFWPhantom, TDFWAboutComponentEditor);

  RegisterComponents(ControlsPage, [TDFWEncartaButton, TDFWAOLButton, TDFWImageButton,
                                    TDFWSelButton, TDFWSquareButton]);
  RegisterComponentEditor(TDFWEncartaButton, TDFWAboutComponentEditor);
  RegisterComponentEditor(TDFWAOLButton, TDFWAboutComponentEditor);
  RegisterComponentEditor(TDFWImageButton, TDFWAboutComponentEditor);
  RegisterComponentEditor(TDFWSelButton, TDFWAboutComponentEditor);
  RegisterComponentEditor(TDFWSquareButton, TDFWAboutComponentEditor);

  RegisterComponents (ControlsPage, [TDFWSTColorsCombo]);
  RegisterComponentEditor(TDFWSTColorsCombo, TDFWAboutComponentEditor);

  RegisterComponents (ControlsPage, [TDFWSTColorsList]);
  RegisterComponentEditor(TDFWSTColorsList, TDFWAboutComponentEditor);

  RegisterComponents (ControlsPage, [TDFWSTDrivesCombo]);
  RegisterComponentEditor(TDFWSTDrivesCombo, TDFWAboutComponentEditor);

  RegisterComponents (ControlsPage, [TDFWSTDrivesList]);
  RegisterComponentEditor(TDFWSTDrivesList, TDFWAboutComponentEditor);

  RegisterComponents (ControlsPage, [TDFWRarBar]);
  RegisterComponentEditor(TDFWRarBar, TDFWAboutComponentEditor);

  RegisterComponents (ControlsPage, [TDFWRAR]);
  RegisterComponentEditor(TDFWRAR, TDFWAboutComponentEditor);

  {$IFDEF D4}
    RegisterComponents (ControlsPage, [TDFWDockManagerPro]);
    RegisterComponentEditor(TDFWDockManagerPro, TDFWAboutComponentEditor);
  {$ENDIF}
  {$IFDEF D3}
    RegisterComponents(ControlsPage, [TDFWFindFile]);
    RegisterComponentEditor(TDFWFindFile, TDFWAboutComponentEditor);

    RegisterComponents(ControlsPage, [TDFWSmoothShow]);
    RegisterComponentEditor(TDFWSmoothShow, TDFWAboutComponentEditor);
    RegisterpropertyEditor(TypeInfo(TTestProperty), TDFWSmoothShow, 'Test', TTestProperty);

    RegisterComponents(ControlsPage, [TDFWPicShow]);
    RegisterComponentEditor(TDFWPicShow, TDFWPicShowComponentEditor);

    RegisterComponents (ControlsPage, [TDFWSTFontsCombo]);
    RegisterComponentEditor(TDFWSTFontsCombo, TDFWAboutComponentEditor);

    RegisterComponents (ControlsPage, [TDFWSTFontsList]);
    RegisterComponentEditor(TDFWSTFontsList, TDFWAboutComponentEditor);

    RegisterComponents(ControlsPage, [TDFWPageControles]);
    RegisterComponents(ControlsPage, [TDFWPageControlBles]);
    RegisterComponentEditor(TDFWPageControles, TDFWPageControlesEditor);
    RegisterComponentEditor(TDFWPageControlBles, TDFWPageControlesEditor);
    RegisterComponentEditor(TDFWTabSheetes, TDFWPageControlesEditor);
    RegisterNoIcon([TDFWTabSheetes]);
    RegisterClasses([TDFWTabSheetes]);

    RegisterComponents(ControlsPage, [TDFWSplites]);
    RegisterComponentEditor(TDFWSplites, TDFWAboutComponentEditor);

    RegisterComponents(ControlsPage, [TDFWSelectDirView]);
    RegisterComponentEditor(TDFWSelectDirView, TDFWAboutComponentEditor);

    RegisterComponents(ControlsPage, [TDFWCheckedComboBox]);
    RegisterComponentEditor(TDFWCheckedComboBox, TDFWAboutComponentEditor);
  {$ENDIF}

  RegisterComponents(ControlsPage, [TDFWButton]);
  RegisterComponentEditor(TDFWButton, TDFWAboutComponentEditor);

  RegisterComponents(ControlsPage, [TDFWMemoes]);
  RegisterComponentEditor(TDFWMemoes, TDFWAboutComponentEditor);

  RegisterComponents(ControlsPage, [TDFWLightEdites]);
  RegisterComponentEditor(TDFWLightEdites, TDFWAboutComponentEditor);

  RegisterComponents(ControlsPage, [TDFWBeveles]);
  RegisterComponentEditor(TDFWBeveles, TDFWAboutComponentEditor);

  RegisterComponents(ControlsPage, [TDFWAboutDialog]);
  RegisterComponentEditor(TDFWAboutDialog, TDFWAboutDialogEditor);

  RegisterComponents(ControlsPage, [TDFWDriveCombo]);
  RegisterComponentEditor(TDFWDriveCombo, TDFWAboutComponentEditor);
end;

end.
